Public Class Spaarrekening
    Inherits Rekening

    Public interest As Decimal


    Public Sub New(ByVal reknr As Integer, ByVal datum As Date, ByVal saldo As Double, ByVal interest As Decimal)

        MyBase.new(reknr, datum, saldo)
        Me.interest = interest

    End Sub

    Public Property inter() As Decimal
        Get
            Return Me.interest

        End Get
        Set(ByVal Value As Decimal)
            Me.interest = Value
        End Set
    End Property

    Public Overrides Sub Afbeelden()
        Console.Write(vbCrLf)
        MyBase.Afbeelden()
        Console.WriteLine("De interest bedraagt: " & Me.interest.ToString & vbCrLf)

    End Sub


End Class
